<?php
/**
 * Main Plugin File
 *
 * @package			Srizon Image Slider 
 * @version			1.3.0
 *
 * @author			Md. Afzal Hossain <afzal.csedu@gmail.com>
 * @link			http://www.srizon.com
 * @copyright		Copyright 2012 Md. Afzal Hossain All Rights Reserved
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */
// no direct access
defined( '_JEXEC' ) or die;

// import library dependencies
jimport('joomla.plugin.plugin');

class plgSystemSrizonimageslider extends JPlugin {
	function onAfterInitialise(){
		$GLOBALS['jqlibraryfps'] = $this->params->get('library','srizonjq');
	}
	
	function onAfterRender() {
		$app = JFactory::getApplication();
		$library = $this->params->get('library','srizonjq');
		$resloadpos = $this->params->get('resloadpos','last');
		if ($app->isAdmin()) return; 
		$srz_format = JRequest::getVar('format');
		if($srz_format == 'feed') return;
		if($srz_format == 'raw') return;
		$rspath = JURI::base() . 'media/srizonimageslider/';
		$head_res='';
		if (!isset($GLOBALS['srizonjq18']) and $library=='srizonjq') {
			$GLOBALS['srizonjq18'] = 1;
			$head_res .= '<script type="text/javascript" src="'.$rspath.'srizonjq1.8.min.js"'.'></script>'."\n";
		}
		if (!isset($GLOBALS['srizonjq']) and $library=='jquery') {
			$GLOBALS['srizonjq'] = 1;
			$head_res .= '<script type="text/javascript" src="'.$rspath.'jquery1.8.min.js"'.'></script>'."\n";
		}
		if (!isset($GLOBALS['srizonjqeasing13'])) {
			$GLOBALS['srizonjqeasing13'] = 1;
			if($library=='srizonjq'){
				$head_res .= '<script type="text/javascript" src="'.$rspath.'srizonjq.easing.1.3.min.js"'.'></script>'."\n";
			}
			else{
				$head_res .= '<script type="text/javascript" src="'.$rspath.'srizonjq.easing.1.3.min.jq.js"'.'></script>'."\n";
			}
		}
		
		if($library=='srizonjq'){
			$head_res .= '<script type="text/javascript" src="'.$rspath.'srizonslider.js"'.'></script>'."\n";
		}
		else{
			$head_res .= '<script type="text/javascript" src="'.$rspath.'srizonslider.jq.js"'.'></script>'."\n";
		}
		$head_res .= '<link rel="stylesheet" href="'.$rspath.'style.css" type="text/css" />'."\n";
		
		$body =& JResponse::getBody();
		
		if($resloadpos == 'last'){
			$headplusres = $head_res.'</head>';
			$body = str_replace('</head>',$headplusres,$body);
		}
		else{
			$pos = strpos($body,'</title>');
			$body = substr_replace($body,"\n".$head_res,$pos+8,0);
		}
		
		JResponse::setBody($body);
	}
}